## bridgex 0.25

=== Makefile ===

CC	= gcc -O4

brcfg: brcfg.o
	$(CC) -s -o brcfg brcfg.o

brcfg.o: brcfg.c
	$(CC) -c brcfg.c

clean:
	 rm *~ *.o brcfg

## bridgex 0.22

=== debian/changelog ===
bridgex (0.22) unstable; urgency=low

  * debmake applied to it
  * Documentation updated regarding native support of Linux 2.1.15 and higher
    for the extended bridging functions.

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Dec 1996 21:06:37 -0800

bridgex (0.21) unstable; urgency=low

  * Renamed to bridgex
  * Published on sunsite.unc.edu

 -- Christoph Lameter <clameter@debian.org>  Sat, 21 Sep 1996 9:00:00 -0800

bridge (0.2) unstable;urgency=medium

  * Enabled all the commands the Bridge Module understands
  * Added functionality to do filtering of protocols (with kernel patch)
  * Functionality to monitor the protocol usage on the attached networks
  * Manpage reworked
  * Switch from maintainer to author since most of the code has been
    done/redone by me.
  * More documentation

 -- Christoph Lameter <clameter@debian.org>  Thu, 13 Sep 1996 9:00:00 -0800

bridge (0.1-1) unstable; urgency=low

  * Initial Release

 -- Christoph Lameter <clameter@waterf.org>  Sun, 8 Sep 1996 9:00:00 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bridgex
Section: net
Priority: extra
Maintainer: Christoph Lameter <clameter@waterf.org>
Standards-Version: 2.1.0.0

Package: bridgex
Conflicts: bridge
Replaces: bridge
Architecture: any
Depends: ${shlibs:Depends}, netbase
Description: Bridge Control software and Documentation
 This modules contains documentation, tools and a kernel patch to support
 bridging with protocol filtering and monitoring functions for those protocols.
 .
 In contrast to the bridge package this package requires extensive
 modifications on the kernel level which have only been incorporated into
 Linux in version 2.1.15 at later. If you want to use this module with 2.0.X
 Kernels then you need to apply a patch (included) to the kernel.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=bridgex

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
#	-$(MAKE) -f Makefile.dist realclean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/sbin
	install -m755 brcfg debian/tmp/sbin
	debstd $(package) advanced*
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## bridgex 0.25

=== debian/changelog ===
bridgex (0.25) unstable; urgency=low

  * #14897 Update copyright file.

 -- Christoph Lameter <clameter@debian.org>  Mon, 17 Nov 1997 21:02:13 -0800

bridgex (0.24) unstable; urgency=low

  * Build under hamm.

 -- Christoph Lameter <clameter@debian.org>  Fri,  5 Sep 1997 01:50:13 -0700

bridgex (0.23) unstable; urgency=low

  * Standards upgrade.

 -- Christoph Lameter <clameter@debian.org>  Wed, 30 Jul 1997 20:38:01 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Christoph Lameter <clameter@waterf.org>
-Standards-Version: 2.1.0.0
+Standards-Version: 2.3.0.0
 
 Package: bridgex
 Conflicts: bridge
@@ -15,5 +15,5 @@
  .
  In contrast to the bridge package this package requires extensive
  modifications on the kernel level which have only been incorporated into
- Linux in version 2.1.15 at later. If you want to use this module with 2.0.X
+ Linux in version 2.1.15 and later. If you want to use this module with 2.0.X
  Kernels then you need to apply a patch (included) to the kernel.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp debian/tmp/sbin
 	install -m755 brcfg debian/tmp/sbin
-	debstd $(package) advanced*
+	debstd advanced*
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp

## bridgex 0.30

=== Makefile ===

CC	= gcc -O

brcfg: brcfg.o
	$(CC) -s -o brcfg brcfg.o

brcfg.o: brcfg.c
	$(CC) -c brcfg.c

clean:
	 rm *.o brcfg

=== debian/changelog ===
bridgex (0.30) frozen; urgency=low

  * New bridgex code matching the kernel bridge code in Linux 2.2.14
  * Fixes #55556, #35145, #39895
  * Matthew Grant <grantma@anathoth.gen.nz> v0.28
    Initial development release for use with new bridge ioctls.  This is
    still incomplete, but the basic stuff is thereprobably.  The program out
    still needed cleaning up.  I remember it having 1 or 2 bugs though.
    Included first patches.
  * Matthew Grant <grantma@anathoth.gen.nz> v0.29
    Bridgex code finally cleaned up, core dump bugs fixed.  Command line
    parsing cleaned up so that the program no longer segfaults when you give
    it something unsual.  Messages cleaned up so that it behaves rather like
    ifconfig.  Takes itnerface names as arguments. Typing brcfg --help (or
    -h?) gives an output of the command syntax.  Patch for 2.2.12 included.
  * Matthew Grant <grantma@anathoth.gen.nz> v0.30
    2.2.12 patch upgraded and 2.3.x patch dropped because of some fixes to
    kernel. brcfg unchanged.         

 -- Christoph Lameter <christoph@lameter.com>  Thu, 20 Jan 2000 15:06:38 -0800

bridgex (0.27) unstable; urgency=low

  * fix init.d script (Closes:#35145)

 -- Christoph Lameter <clameter@debian.org>  Thu, 20 Jan 2000 15:06:12 -0800

bridgex (0.26) unstable; urgency=low

  * Integrate Patch from Heikki Vatiainen to make it work with 2.2 kernels.
  * Remove patch for 2.0.X kernels. bridgex requires a 2.2 or higher kernel
    now. Use the bridge package for 2.0 kernels.
  * Implement restart and force-reload for init.d script 

 -- Christoph Lameter <clameter@debian.org>  Thu,  4 Mar 1999 17:07:40 -0800

=== debian/control ===
Source: bridgex
Section: net
Priority: extra
Maintainer: Christoph Lameter <clameter@debian.org>
Standards-Version: 2.3.0.0

Package: bridgex
Conflicts: bridge
Replaces: bridge
Architecture: any
Depends: ${shlibs:Depends}, netbase
Description: Bridge Control software and Documentation
 This modules contains documentation and tools for bridging with protocol
 filtering and monitoring functions as available in the 2.2.x kernels.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp debian/tmp/sbin
 	install -m755 brcfg debian/tmp/sbin
-	debstd advanced*
+	debstd
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
